From 8bc176008cc9506cf098c03acab92e7c090e6e6a Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Wed, 24 Oct 2018 17:51:24 -0400
Subject: [PATCH 2/2] Ensure that failing to record a "hit" does not cause
 other code to not execute. (re. #14922)

---
 wiki/src/install/inc/js/download.js | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/wiki/src/install/inc/js/download.js b/wiki/src/install/inc/js/download.js
index 2d688c00a3..ee4a552aea 100644
--- a/wiki/src/install/inc/js/download.js
+++ b/wiki/src/install/inc/js/download.js
@@ -171,12 +171,16 @@ document.addEventListener("DOMContentLoaded", function() {
   }
 
   function hitCounter(status) {
-    var counter_url, url, scenario, version;
-    counter_url = "https://tails.boum.org/install/download/counter";
-    url = window.location.href.split("/");
-    scenario = url[url.lastIndexOf("install") + 1];
-    version = document.getElementById("tails-version").textContent.replace("\n", "");
-    fetch(counter_url + "?scenario=" + scenario + "&version=" + version + "&status=" + status);
+    try {
+      var counter_url, url, scenario, version;
+      counter_url = "https://tails.boum.org/install/download/counter";
+      url = window.location.href.split("/");
+      scenario = url[url.lastIndexOf("install") + 1];
+      version = document.getElementById("tails-version").textContent.replace("\n", "");
+      fetch(counter_url + "?scenario=" + scenario + "&version=" + version + "&status=" + status);
+    } catch (e) {
+      console.log(e.toString());
+    }
   }
 
   function resetVerificationResult(result) {
-- 
2.19.1

